OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Macros | Functions | Variables
os2_m.cpp File Reference

Music playback on OS/2. More...

`#include "../stdafx.h"`
`#include "../openttd.h"`
`#include "os2_m.h"`
`#include <stdarg.h>`
`#include <os2.h>`
`#include <os2me.h>`
`#include "../safeguards.h"`

Go to the source code of this file.

## Functions
static long CDECL | MidiSendCommand (const char *cmd,...)
| Send a midi command.

## Variables
static FMusicDriver_OS2 | iFMusicDriver_OS2
| OS/2's music player's factory.

## Detailed Description

Music playback on OS/2.

Definition in file os2_m.cpp.

## Function Documentation

static long CDECL MidiSendCommand | ( | const char * | cmd,
|  |  | ...
| ) |  |
| static

Send a midi command.

Parameters

  cmd | The command to send.

Returns
  The result of sending it.

Definition at line 39 of file os2_m.cpp.

References lastof, and vseprintf().

Referenced by MusicDriver_OS2::PlaySong(), MusicDriver_OS2::SetVolume(), MusicDriver_OS2::Stop(), and MusicDriver_OS2::StopSong().

## Variable Documentation

FMusicDriver_OS2 iFMusicDriver_OS2
| static

OS/2's music player's factory.

Definition at line 50 of file os2_m.cpp.